# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2019-11-04 21:41
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Availability',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('day', models.CharField(choices=[(0, 'domingo'), (1, 'lunes'), (2, 'martes'), (3, 'miércoles'), (4, 'jueves'), (5, 'viernes'), (6, 'sábado')], max_length=1, verbose_name='day')),
                ('start', models.TimeField(verbose_name='start')),
                ('end', models.TimeField(verbose_name='end')),
            ],
            options={
                'verbose_name': 'availability',
                'verbose_name_plural': 'availabilities',
            },
        ),
        migrations.CreateModel(
            name='Downtime',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('start', models.DateTimeField(verbose_name='start')),
                ('end', models.DateTimeField(verbose_name='end')),
                ('description', models.CharField(max_length=255, verbose_name='description')),
            ],
            options={
                'verbose_name': 'downtime',
                'verbose_name_plural': 'downtimes',
            },
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('status', models.PositiveSmallIntegerField(choices=[(1, 'valid'), (2, 'settled')], default=1, verbose_name='status')),
                ('rut', models.CharField(max_length=13, unique=True, verbose_name='rut')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('address', models.CharField(max_length=75, verbose_name='address')),
                ('commune', models.CharField(max_length=30, verbose_name='commune')),
                ('health_care', models.PositiveSmallIntegerField(choices=[(1, 'FONASA'), (2, 'Isapre')], default=1, verbose_name='health care')),
                ('afp', models.CharField(max_length=255, verbose_name='AFP')),
                ('company', models.PositiveSmallIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Kptivemedia')], default=1, verbose_name='company')),
                ('department', models.PositiveSmallIntegerField(choices=[(1, 'Call center'), (2, 'Operaciones'), (3, 'Soporte Técnico'), (4, 'Administración - Finanzas'), (5, 'Ventas'), (6, 'Arica'), (7, 'Viña del Mar'), (8, 'Programadores'), (9, 'Bodega')], default=1, verbose_name='department')),
                ('gender', models.PositiveSmallIntegerField(choices=[(1, 'male'), (2, 'female')], default=1, verbose_name='gender')),
                ('service_date', models.DateField(verbose_name='service date')),
                ('base_salary', models.PositiveIntegerField(verbose_name='base salary')),
                ('transportation_bonus', models.PositiveIntegerField(blank=True, default=0, verbose_name='transportation bonus')),
                ('food_bonus', models.PositiveIntegerField(blank=True, default=0, verbose_name='food bonus')),
                ('productivity_bonus', models.PositiveIntegerField(blank=True, default=0, verbose_name='productivity bonus')),
                ('other_bonuses', models.PositiveIntegerField(blank=True, default=0, verbose_name='other bonuses')),
                ('service_notes', models.TextField(blank=True, verbose_name='service notes')),
            ],
            options={
                'verbose_name': 'employee',
                'verbose_name_plural': 'employees',
            },
        ),
        migrations.CreateModel(
            name='Skill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('description', models.TextField(verbose_name='description')),
            ],
            options={
                'verbose_name': 'skill',
                'verbose_name_plural': 'skills',
            },
        ),
        migrations.CreateModel(
            name='Technician',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('active', models.BooleanField(default=True, verbose_name='active')),
            ],
            options={
                'verbose_name': 'technician',
                'verbose_name_plural': 'technicians',
            },
        ),
        migrations.CreateModel(
            name='Vacation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('start_date', models.DateField(verbose_name='start date')),
                ('end_date', models.DateField(verbose_name='end date')),
                ('notes', models.TextField(blank=True, verbose_name='notes')),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hr.Employee', verbose_name='employee')),
            ],
            options={
                'verbose_name': 'vacation',
                'verbose_name_plural': 'vacations',
            },
        ),
        migrations.AddField(
            model_name='downtime',
            name='technician',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hr.Technician', verbose_name='technician'),
        ),
        migrations.AddField(
            model_name='availability',
            name='technician',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hr.Technician', verbose_name='technician'),
        ),
        migrations.AlterUniqueTogether(
            name='downtime',
            unique_together=set([('technician', 'end'), ('technician', 'start')]),
        ),
        migrations.AlterUniqueTogether(
            name='availability',
            unique_together=set([('technician', 'day', 'start'), ('technician', 'day', 'end')]),
        ),
    ]
